@import url('https://fonts.googleapis.com/css?family=Montserrat');

#back-to-top-btn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 20px;
  font-size: 26px;
  width: 50px;
  height: 50px;
  background-color: #fff;
  color: #333;
  cursor: pointer;
  outline: none;
  border: 3px solid #333;
  border-radius: 50%;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
  transition-property: background-color, color;
}
#back-to-top-btn:hover, #back-to-top-btn:focus {
  background-color: #333;
  color: #fff;  
}

@media(max-width: 992px) {
  .container { padding: 20px 100px; }
  #back-to-top-btn { font-size: 22px; width: 40px; height: 40px; bottom: 15px; right: 15px; }
}
@media(max-width:768px) {
  body { font-size: 16px; }
  .container { padding: 10px 50px; }
  h1 { font-size: 26px; }
  h2 { font-size: 22px; }
  hr { margin: 30px 0; }
  #back-to-top-btn { font-size: 18px; width: 32px; height: 32px; bottom: 6px; right: 6px; }
}


.btnEntrance {
  animation-duration: 0.5s;
  animation-fill-mode: both;
  animation-name: btnEntrance;
}

@keyframes btnEntrance {
  from {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }
  to {
    opacity: 1;
    transform: translate3d(0, 0, 0);
  }
}

.btnExit {
  animation-duration: 0.25s;
  animation-fill-mode: both;  
  animation-name: btnExit;
}

@keyframes btnExit {
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
    transform: translate3d(0, 100%, 0);
  }
}

/* NAPIS STRONY INTERNETOWEJ */

* {
  font-family: 'Montserrat', sans-serif;
  margin: 0;
  padding: 0;
}
.main {
  background-image: linear-gradient(315deg, rgba(128, 0, 255, 1) 0%, rgba(255, 128, 64, 1) 65%);
  font-family: 'Montserrat', sans-serif;
  font-size: 1.47rem;
  margin: 0;
}
li::before {
  content: "👉";
  padding-inline: 1ch;
  overflow: auto;
}
  .container {
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .container p {
    font-size: 3rem;
    padding: 0.5rem;
    font-weight: bold;
    letter-spacing: 0.1rem;
    text-align: center;
    overflow: hidden;
  }
  .container p span.typed-text {
    font-weight: bold;
    color: white;
  }
  .container p span.cursor {
    display: inline-block;
    background-color: rgb(0, 0, 0);
    margin-left: 0.1rem;
    width: 3px;
    animation: blink 0.75s infinite;
  }
  .container p span.cursor.typing {
    animation: none;
  }
  @keyframes blink {
    0%  { background-color: rgb(0, 0, 0); }
    49% { background-color: rgb(0, 0, 0); }
    50% { background-color: transparent; }
    99% { background-color: transparent; }
    100%  { background-color: rgb(0, 0, 0); }
  }

  /* PRZEJSCIE NA INNA STRONE */

ul {
  list-style: none;
}
li {
  margin: 0.25rem 0;
}

a.underline-hover-effect {
  text-decoration: none;
  color: white;
}

.underline-hover-effect {
  text-shadow: 1px 1px 3px;
  display: inline-block;
  padding-bottom: 0.25rem; /* defines the space between text and underline */
  position: relative;
}

@keyframes test {
  0%   {background-color: red;}
  10% {background-color: maroon;}
  20%  {background-color: yellow;}
  30% {background-color: orange;}
  40% {background-color: fuchsia;}
  50% {background-color: lime;}
  60% {background-color: green;}
  70% {background-color: aqua;}
  80%  {background-color: blue;}
  90% {background-color: purple;}
  100% {background-color: silver;}
}

.underline-hover-effect::before {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  width: 0;
  height: 2px;
  animation-name: test;
  animation-duration: 4s;
  animation-iteration-count: infinite;
  transition: width 0.4s ease-out;
}
.underline-hover-effect:hover::before {
  width: 100%;
}

/* PASEK STRONY INTERNETOWEJ */


header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 30px 10%;
  background-color: #24252a;
}

.nav__links a,
.cta,
.overlay__content a {
  font-family: "Montserrat", sans-serif;
  font-weight: 500;
  color: #edf0f1;
  text-decoration: none;
}

.nav__links {
  list-style: none;
  display: flex;
}

.nav__links li {
  padding: 0px 19.6px;
}

.nav__links li a {
  transition: color 0.3s ease 0s;
}

.nav__links li a:hover {
  color: white;
}

.cta {
  animation: myAnim 5s;
  animation-iteration-count: infinite;
  padding: 9px 25px;
  background-color: rgba(0, 136, 169, 1);
  border-radius: 50px;
  cursor: pointer;
  transition: background-color 0.3s ease 0s;
}

.cta:hover {
  background-color: rgba(0, 136, 169, 0.8);
}

.copy
{
  font-weight: bold;
  text-align: right;
  color: black;
  padding: 1rem;
}

@keyframes myAnim {
  0%,
  100% {
    transform: translateX(0%);
    transform-origin: 50% 50%;
  }

  15% {
    transform: translateX(-8px) rotate(2deg);
  }

  30% {
    transform: translateX(8px) rotate(-2deg);
  }

  45% {
    transform: translateX(-4px) rotate(2deg);
  }

  60% {
    transform: translateX(4px) rotate(-0.6deg);
  }

  75% {
    transform: translateX(-2px) rotate(0.4deg);
  }
  90% {
    transform: translateX(-0.5px) rotate(0.1deg);
  }
}